extern crate hyper;

use std::env;
use std::process::exit;

use hyper::Client;
use hyper::rt::{self, Future};

fn main() {

    let current_dir = match env::current_dir() {
        Err(e) => {
            eprintln!("Couldn't find current directory: {:?}", e);
            exit(1);
        },
        Ok(path) => {
            let p = path.to_str();
            p.unwrap().to_owned()
        },
    };

    let url = format!("http://localhost:1500{}", current_dir);
    let url = url.parse::<hyper::Uri>().unwrap();
    rt::run(fetch_url(url));

}

fn fetch_url(url: hyper::Uri) -> impl Future<Item=(), Error=()> {
    let client = Client::new();

    client.get(url)
        .map(|_| ())
        // If there was an error, let the user know...
        .map_err(|err| {
            eprintln!("Error {}", err);
        })
}
